## python-django-analytical 3.1.0

=== requirements.txt ===
Django>=2.2.*

## python-django-analytical 3.0.0

=== debian/changelog ===
python-django-analytical (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.5.1.
  * Add python3-pytest and python3-pytest-django to Build-Depends,
    required by tests.
  * Remove custom build-time test, use default pybuilder pytest
    integration.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Fri, 18 Dec 2020 14:09:58 +0100

python-django-analytical (2.6.0-1) unstable; urgency=low

  * Initial release (Closes: #972210).

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 10:13:14 +0200

=== debian/control ===
Source: python-django-analytical
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.1
Homepage: https://github.com/jazzband/django-analytical/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-analytical.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-analytical
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-django-analytical-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Integrate analytics services into a Django (Documentation)
 The django-analytical application integrates analytics services into a Django
 project.
 .
 Using an analytics service with a Django project means adding Javascript
 tracking code to the project templates. Of course, every service has its own
 specific installation instructions. Furthermore, you need to include your
 unique identifiers, which then end up in the templates.
 .
 This application hides the details of the different analytics services behind a
 generic interface, and keeps personal information and configuration out of the
 templates. Its goal is to make the basic set-up very simple, while allowing
 advanced users to customize tracking. Each service is set up as recommended by
 the services themselves, using an asynchronous version of the Javascript code
 if possible.
 .
 This package contains the documentation.

Package: python3-django-analytical
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-django,
Suggests:
 python-django-analytical-doc,
Description: Integrate analytics services into a Django (Python3 version)
 The django-analytical application integrates analytics services into a Django
 project.
 .
 Using an analytics service with a Django project means adding Javascript
 tracking code to the project templates. Of course, every service has its own
 specific installation instructions. Furthermore, you need to include your
 unique identifiers, which then end up in the templates.
 .
 This application hides the details of the different analytics services behind a
 generic interface, and keeps personal information and configuration out of the
 templates. Its goal is to make the basic set-up very simple, while allowing
 advanced users to customize tracking. Each service is set up as recommended by
 the services themselves, using an asynchronous version of the Javascript code
 if possible.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-analytical

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-analytical-doc/usr/share/doc/python-django-analytical-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/django-analytical-$1.tar.gz/ \
https://github.com/jazzband/django-analytical/releases \
/jazzband/django-analytical/archive/v([\d\.]+)\.tar\.gz

## python-django-analytical 3.1.0

=== debian/changelog ===
python-django-analytical (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.0
  * autopkgtest: Add python3-all to dependencies
  * d/copyright: Update copyright year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Mar 2022 20:05:59 +0100

python-django-analytical (3.0.0-3) unstable; urgency=medium

  * Team upload
  * d/control: Mark the -doc package Multi-Arch: foreign
  * d/rules: Ignore one specific unit test
  * autopkgtest: Also drop this one specific unit test

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Sep 2021 22:55:12 +0200

python-django-analytical (3.0.0-2) unstable; urgency=medium

  [ Diego M. Rodriguez ]
  * d/watch: update to GitHub format.
  * d/test: specify import_name. (Closes: #982121)

  [ Michael Fladischer ]
  * Bump Standards-Version to 4.6.0.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 01 Sep 2021 21:13:04 +0000

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%django-analytical-$1.tar.gz%" \
https://github.com/jazzband/django-analytical/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-django-analytical 3.2.0

=== debian/changelog ===
python-django-analytical (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Switch to autopkgtest-pkg-pybuild.
  * Stop skipping test_custom_username_field; it seems to pass now.
  * Simplify some debhelper overrides.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Aug 2025 11:56:59 +0100

python-django-analytical (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090138).

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 13:18:58 +0000

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/jazzband/django-analytical/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-analytical.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-analytical
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-analytical-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-analytical

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_before_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-analytical-doc/usr/share/doc/python-django-analytical-doc/html
endif
